TreeManagerSyncWorker (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.worker.sync
Class TreeManagerSyncWorker

    java.lang.Object
      org.gcube.datatransfer.agent.impl.worker.Worker
          org.gcube.datatransfer.agent.impl.worker.SyncWorker
              org.gcube.datatransfer.agent.impl.worker.sync.TreeManagerSyncWorker

All Implemented Interfaces:
  Serializable, Callable

    public class TreeManagerSyncWorker

extends SyncWorker

Author:
  andrea
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gcube.datatransfer.agent.impl.worker.SyncWorker
`outcomeWriter`

Fields inherited from class org.gcube.datatransfer.agent.impl.worker.Worker
`destParameters, list, logger, sourceParameters, task, timeout, transferId, uuidgen`

Constructor Summary
`TreeManagerSyncWorker(String tranferID, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

Method Summary
`Object` | `call()`
`String` | `getOutcomeLocator()`

Methods inherited from class org.gcube.datatransfer.agent.impl.worker.Worker
`getResource, getTask, setTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeManagerSyncWorker

    public TreeManagerSyncWorker(String tranferID,
                                 org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                 org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)

Method Detail

### call

    public Object call()

### getOutcomeLocator

    public String getOutcomeLocator()
                             throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Specified by:
    `getOutcomeLocator` in class `SyncWorker`
  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.